import { request } from "@/utils/request";

/**
 * 获取设备责任人列表
 * @param params
 */
export const getDeviceUserList = (params) =>
  request({
    url: '/rq/iot-device/responsiblePage',
    method: 'GET',
    params,
  })

/**
 * 获取设备责任人调整记录
 * @param params
 */
export const getDeviceUserHistoryList = (params) =>
  request({
    url: '/pms/iot-device-person-log/page',
    method: 'GET',
    params,
  })

/**
 * 提交设备责任人
 * @param data
 */
export const submitDeviceUser = (data) =>
  request({
    url: '/pms/iot-device-person/saveDevicePersons',
    method: 'POST',
    data,
  })